%define name	pyrenamer
%define version 0.6.0
%define release %mkrel 3


Summary:        A mass file renamer written in PyGTK
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:          File tools
License:        GPLv2+
URL:            http://www.infinicode.org/code/pyrenamer/
Source0:        %{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:      noarch
BuildRequires:  gettext
BuildRequires:  desktop-file-utils
BuildRequires:  pygtk2.0-devel
BuildRequires:  perl-XML-Parser
BuildRequires:	ImageMagick
Requires:       pygtk2.0   
Requires:       python-exif
Requires:       python-eyed3
Requires:       gnome-python-gconf
Requires:       pygtk2.0-libglade
Requires(pre):  GConf2
Requires(post): GConf2
Requires(preun): GConf2

%description
With pyRenamer you can change the name of several files at the same time 
easily.
 - You can use patterns to rename files.
 - You can use search & replace to rename files.
 - You can use common substitutions.
 - You can manually rename selected files.
 - You can rename images using their EXIF tags.
 - You can rename MP3s using their ID3 tags.

%prep
%setup -q
cp doc/treefilebrowser_example.py treefilebrowser_example.py
# fix desktop file
sed -i -e 's|@BINDIR@/pyrenamer|%{name}|' data/%{name}.desktop.*
sed -i -e 's|@RESOURCEDIR@/pyrenamer.png|%{name}|' data/%{name}.desktop.*

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%{makeinstall_std}

desktop-file-install 	--vendor="" \
			--remove-category="FileTools" \
			--add-category="X-MandrivaLinux-System-FileTools" \
			--dir $RPM_BUILD_ROOT%{_datadir}/applications \
				$RPM_BUILD_ROOT%{_datadir}/applications/*

# icons
mkdir -p $RPM_BUILD_ROOT{%_liconsdir,%_iconsdir,%_miconsdir}
convert -geometry 48x48 images/%{name}.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
convert -geometry 32x32 images/%{name}.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
convert -geometry 16x16 images/%{name}.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png

# remove example from the wrong dir: 
rm -f $RPM_BUILD_ROOT%{_datadir}/doc/%{name}/*.py

%find_lang %{name}

%define schemas %{name}
 
%clean
rm -rf $RPM_BUILD_ROOT

%post
%post_install_gconf_schemas %{schemas}
%{update_menus}

%preun
%preun_uninstall_gconf_schemas %{schemas}

%postun
%{clean_menus}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README TODO treefilebrowser_example.py
%{py_sitedir}/%{name}
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_mandir}/man1/%{name}.1.*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png


%changelog
* Wed Aug 14 2013 billybot <billybot>
- update

* Fri Sep 03 2010 Texstar <texstar at gmail.com> 0.6.0-2pclos2010
- rebuild for python 2.6.6

* Fri Jan 16 2009 don_crissti <don_crissti@gmx.com> 0.6.0-1pclos2007
- build for PCLinuxOS

